package com.usky.oa.service.enums;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2024/12/25
 */
public enum OaBuiltInDocument {

    QJ("QJ", "请假表单"),
    JB("JB", "加班表单"),
    LZ("LZ", "离职表单"),
    CC("CC", "出差表单"),
    WC("WC", "外出表单"),
    BHSQ("BHSQ", "项目编号申请表单"),
    MPYS("MPYS", "名片印刷表单"),
    DJP("DJP", "订机票表单"),
    ZCLY("ZCLY", "固定资产领用表单"),
    ZZJY("ZZJY", "印章资质借用表单"),
    HTJY("HTJY", "合同借用表单"),
    XMCG("XMCG", "项目采购表单"),
    ZCCG("ZCCG", "固定资产采购表单"),
    XZCG("XZCG", "行政（特殊）用品采购表单"),
    YYSQ("YYSQ", "用印申请表单");

    private final String sign;
    private final String name;

    OaBuiltInDocument(String sign, String name) {
        this.sign = sign;
        this.name = name;
    }

    public String getSign() {
        return sign;
    }

    public String getName() {
        return name;
    }

}
